Bug#902480: [skimage] autopkgtest failure
Lumin
cdluminate at gmail.com
Wed Jun 27 04:41:03 BST 2018
Package: python-skimage-doc
Version: 0.14.0-1
Severity: normal
Justification: Severity is raised from wishlist to normal because autopkgtest affects migration now.
http://debomatic-amd64.debian.net/distribution#unstable/skimage/0.14.0-1/autopkgtest
Setting up xvfb (2:1.20.0-2) ...
Setting up autopkgtest-satdep (0) ...
Processing triggers for libc-bin (2.27-3) ...
(Reading database ... 18444 files and directories currently installed.)
Removing autopkgtest-satdep (0) ...
autopkgtest [05:00:55]: test python3: [-----------------------
=== python3.6 ===
/tmp/autopkgtest.hvdeQq/build.6xl/src/debian/tests/python3: 18: /tmp/autopkgtest.hvdeQq/build.6xl/src/debian/tests/python3: PYTHONPATH: parameter not set
autopkgtest [05:00:55]: test python3: -----------------------]
python3 FAIL non-zero exit status 2
autopkgtest [05:00:55]: test python3: - - - - - - - - - - results - - - - - - - - - -
autopkgtest [05:00:55]: test python3: - - - - - - - - - - stderr - - - - - - - - - -
/tmp/autopkgtest.hvdeQq/build.6xl/src/debian/tests/python3: 18: /tmp/autopkgtest.hvdeQq/build.6xl/src/debian/tests/python3: PYTHONPATH: parameter not set
autopkgtest [05:00:55]: @@@@@@@@@@@@@@@@@@@@ summary
python2 FAIL non-zero exit status 2
python3 FAIL non-zero exit status 2
Reference fix:
```
diff --git a/debian/tests/python2 b/debian/tests/python2
index 47ba7d8d..d5e0dbe7 100755
--- a/debian/tests/python2
+++ b/debian/tests/python2
@@ -1,5 +1,5 @@
#!/bin/sh
-set -efu
+set -efux
pys="$(pyversions -rv 2>/dev/null)"
pkgbuild=${pkgbuild:-no}
@@ -10,11 +10,12 @@ srcdir=$PWD
for py in $pys; do
echo "=== python$py ==="
if [ "$pkgbuild" = "yes" ]; then
- export PYTHONPATH="$srcdir/debian/tmp/usr/lib/python$py/dist-packages"
+ module="$srcdir/debian/tmp/usr/lib/python$py/dist-packages/skimage"
cd "$srcdir/build/"
else
+ module="/usr/lib/python$py/dist-packages/skimage"
cd "$ADTTMP"
fi
- xvfb-run -a python$py /usr/bin/pytest -s -v -k "$keyword" skimage 2>&1
+ xvfb-run -a python$py /usr/bin/pytest -s -v -k "$keyword" $module 2>&1
done
diff --git a/debian/tests/python3 b/debian/tests/python3
index abc21bf6..6625bc94 100755
--- a/debian/tests/python3
+++ b/debian/tests/python3
@@ -9,11 +9,12 @@ srcdir=$PWD
for py in $pys; do
echo "=== python$py ==="
if [ "$pkgbuild" = "yes" ]; then
- export PYTHONPATH="$srcdir/debian/tmp/usr/lib/python3/dist-packages"
+ module="$srcdir/debian/tmp/usr/lib/python3/dist-packages/skimage"
cd "$srcdir/build/"
else
+ module="/usr/lib/python3/dist-packages/skimage"
cd "$ADTTMP"
fi
- xvfb-run -apython$py /usr/bin/pytest-3 -s -v skimage 2>&1
+ xvfb-run -apython$py /usr/bin/pytest-3 -s -v $module 2>&1
done
```
More information about the debian-science-maintainers
mailing list